Skip to main content
GET
https://{tenantDomain}/api/v2
/
connection-profiles
/
templates
Get Connection Profile Templates
curl --request GET \
  --url https://{tenantDomain}/api/v2/connection-profiles/templates \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/api/v2/connection-profiles/templates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/api/v2/connection-profiles/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connection_profile_templates": [
    {
      "id": "<string>",
      "display_name": "<string>",
      "template": {
        "name": "<string>",
        "organization": {},
        "connection_name_prefix_template": "<string>",
        "enabled_features": [],
        "connection_config": {},
        "strategy_overrides": {
          "pingfederate": {
            "enabled_features": [],
            "connection_config": {}
          },
          "ad": {
            "enabled_features": [],
            "connection_config": {}
          },
          "adfs": {
            "enabled_features": [],
            "connection_config": {}
          },
          "waad": {
            "enabled_features": [],
            "connection_config": {}
          },
          "google-apps": {
            "enabled_features": [],
            "connection_config": {}
          },
          "okta": {
            "enabled_features": [],
            "connection_config": {}
          },
          "oidc": {
            "enabled_features": [],
            "connection_config": {}
          },
          "samlp": {
            "enabled_features": [],
            "connection_config": {}
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Connection Profile Templates successfully retrieved.

connection_profile_templates
object[]